Package org.apache.solr.client.solrj.request

# Class CoreAdminRequest.WaitForState

java.lang.Object
org.apache.solr.client.solrj.SolrRequest<CoreAdminResponse>
org.apache.solr.client.solrj.request.CoreAdminRequest
org.apache.solr.client.solrj.request.CoreAdminRequest.WaitForState

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `CoreAdminRequest`

public static class CoreAdminRequest.WaitForState extends CoreAdminRequest

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`CoreAdminRequest.Create, CoreAdminRequest.CreateSnapshot, CoreAdminRequest.DeleteSnapshot, CoreAdminRequest.ListSnapshots, CoreAdminRequest.MergeIndexes, CoreAdminRequest.RequestRecovery, CoreAdminRequest.RequestSyncShard, CoreAdminRequest.Unload, CoreAdminRequest.WaitForState`

## Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.ApiVersion, SolrRequest.METHOD, SolrRequest.SolrClientContext, SolrRequest.SolrRequestType`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Boolean`
`checkLive`
`protected String`
`coreNodeName`
`protected String`
`nodeName`
`protected Boolean`
`onlyIfLeader`
`protected Boolean`
`onlyIfLeaderActive`
`protected Replica.State`
`state`

### Fields inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`action, core, isIndexInfoNeeded, other`

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS`

## Constructor Summary

Constructors
Constructor
Description
`WaitForState()`

## Method Summary

Modifier and Type
Method
Description
`Boolean`
`getCheckLive()`
`String`
`getCoreNodeName()`
`String`
`getNodeName()`
`SolrParams`
`getParams()`
The parameters for this request; never null.
`Replica.State`
`getState()`
`boolean`
`isOnlyIfLeader()`
`void`
`setCheckLive(Boolean checkLive)`
`void`
`setCoreNodeName(String coreNodeName)`
`void`
`setNodeName(String nodeName)`
`void`
`setOnlyIfLeader(boolean onlyIfLeader)`
`void`
`setOnlyIfLeaderActive(boolean onlyIfLeaderActive)`
`void`
`setState(Replica.State state)`
`String`
`toString()`

### Methods inherited from class org.apache.solr.client.solrj.request.CoreAdminRequest

`createCore, createCore, createCore, createResponse, getCoreStatus, getCoreStatus, getStatus, mergeIndexes, reloadCore, renameCore, setAction, setCoreName, setIndexInfoNeeded, setOtherCoreName, swapCore, unloadCore, unloadCore, unloadCore`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`addHeader, addHeaders, getApiVersion, getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getHeaders, getMethod, getPath, getPreferredNodes, getQueryParams, getRequestType, getResponseParser, getStreamingResponseCallback, getUserPrincipal, process, process, processWithBaseUrl, requiresCollection, setBasicAuthCredentials, setMethod, setPath, setPreferredNodes, setQueryParams, setRequestType, setResponseParser, setStreamingResponseCallback, setUserPrincipal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### nodeName

protected String nodeName

### coreNodeName

protected String coreNodeName

### state

protected Replica.State state

### checkLive

protected Boolean checkLive

### onlyIfLeader

protected Boolean onlyIfLeader

### onlyIfLeaderActive

protected Boolean onlyIfLeaderActive

## Constructor Details

### WaitForState

public WaitForState()

## Method Details

### setNodeName

public void setNodeName(String nodeName)

### getNodeName

public String getNodeName()

### getCoreNodeName

public String getCoreNodeName()

### setCoreNodeName

public void setCoreNodeName(String coreNodeName)

### getState

public Replica.State getState()

### setState

public void setState(Replica.State state)

### getCheckLive

public Boolean getCheckLive()

### setCheckLive

public void setCheckLive(Boolean checkLive)

### isOnlyIfLeader

public boolean isOnlyIfLeader()

### setOnlyIfLeader

public void setOnlyIfLeader(boolean onlyIfLeader)

### setOnlyIfLeaderActive

public void setOnlyIfLeaderActive(boolean onlyIfLeaderActive)

### getParams

public SolrParams getParams()
Description copied from class: `SolrRequest`
The parameters for this request; never null. The runtime type may be mutable but modifications may not affect this `SolrRequest` instance, as it may return a new instance here every time. If the subclass specifies the response type as `ModifiableSolrParams`, then one can expect it to change this request. If the subclass has a setter then one can expect this method to return the value set.

Overrides:
  `getParams` in class `CoreAdminRequest`

### toString

public String toString()

Overrides:
  `toString` in class `Object`